> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/error-manager/passkey.md).

# Passkey

public class Passkey extends Object

↳ package com.onekosmos.blockid.sdk.BIDAPIs.APIManager.ErrorManager

Utility class to manage Passkey errors.

### Constructor

public Passkey(int code, String message)

Creates an object of Passkey class.

| Parameter |                                                 |
| --------- | ----------------------------------------------- |
| code      | int: The error code                             |
| message   | String: The message associated with error code. |

### Method Summary

| Type   | Method       | Description             |
| ------ | ------------ | ----------------------- |
| int    | getCode()    | Returns the error code. |
| string | getMessage() | Returns error message.  |

### Method Details

#### getCode

**public int** getCode()

Returns error code.

#### getMessage

**public String** getMessage()

Returns error message.

### Error Codes

The below table lists license error codes and messages.

| Key                            | Code   | Message                                                                                                                      |
| ------------------------------ | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| USERNAME\_EMPTY                | 300002 | UserName cannot be empty.                                                                                                    |
| DISPLAY\_NAME\_EMPTY           | 300003 | DisplayName cannot be empty.                                                                                                 |
| ATTESTATION\_OPTIONS\_FAILED   | 300004 | PassKey attestation options failed.                                                                                          |
| ATTESTATION\_RESULT\_FAILED    | 300005 | PassKey attestation result failed.                                                                                           |
| PASSKEY\_REGISTRATION\_FAILED  | 300006 | Missing registration JSON in server response.                                                                                |
| CANCELED                       | 300007 | User cancelled the operation.                                                                                                |
| INVALID                        | 300008 | Unable to create credential.                                                                                                 |
| INVALID\_SIGNING               | 300009 | Unable to sign challenge.                                                                                                    |
| UNSUPPORTED\_CREDENTIAL\_TYPE  | 300010 | Unsupported credential type returned by Credential Manager. Add handling for {error from os}                                 |
| ASSERTION\_OPTIONS\_FAILED     | 300011 | PassKey assertion options failed.                                                                                            |
| ASSERTION\_RESULT\_FAILED      | 300012 | PassKey assertion result failed.                                                                                             |
| UNHANDLED\_CREDENTIAL\_TYPE    | 300013 | Unhandled CustomCredential type received. Ensure your Credential Manager integration supports all expected credential types. |
| ALREADY\_REGISTERED\_PASS\_KEY | 300014 | User has already created a passkey.                                                                                          |
| LINKING\_FAILED                | 300015 | FIDO and DID Linking failed                                                                                                  |
| PASSKEY\_REQUEST\_MANDATORY    | 300016 | PasskeyRequest object is mandatory.                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/error-manager/passkey.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
